# Generated by Django 2.2.19 on 2021-05-27 16:30
from django.db import migrations

from shuup.core.models import SupplierModule


def move_to_multiple_modules(apps, schema_editor):
    SupplierModule.ensure_all_supplier_modules()
    Supplier = apps.get_model("shuup", "Supplier")
    SupplierModuleModel = apps.get_model("shuup", "SupplierModule")

    for supplier in Supplier.objects.exclude(module_identifier=""):
        supplier.supplier_modules.add(SupplierModuleModel.objects.get(module_identifier=supplier.module_identifier))


def move_to_single_module(apps, schema_editor):
    Supplier = apps.get_model("shuup", "Supplier")

    for supplier in Supplier.objects.exclude(module_identifier=""):
        supplier.module_identifier = supplier.supplier_modules.first().module_identifier
        supplier.save()


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0088_add_multiple_supplier_modules'),
    ]

    operations = [
        migrations.RunPython(move_to_multiple_modules, move_to_single_module)
    ]
